import abc


class AbstractRepository(abc.ABC):
    @abc.abstractmethod
    def add(self, element):
        raise NotImplementedError

    @abc.abstractmethod
    def update(self, reference, element):
        raise NotImplementedError

    @abc.abstractmethod
    def list(self):
        raise NotImplementedError

    @abc.abstractmethod
    def get(self, reference):
        raise NotImplementedError

    @abc.abstractmethod
    def delete(self, element):
        raise NotImplementedError
